Bug 692257 - Review Request: oct2spec - Python script to generate Octave package spec file
Summary: Review Request: oct2spec - Python script to generate Octave package spec file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-30 20:23 UTC by Orion Poplawski
Modified: 2011-04-07 22:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-07 22:30:48 UTC
Type: ---
jamatos: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Orion Poplawski 2011-03-30 20:23:34 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/oct2spec.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/oct2spec-1.0.0-1.fc14.src.rpm
Description:
oct2spec is a small python tool that generates spec file for Octave pacakges.
It can work from a package name, URL, or a tarball.
oct2spec provides oct2rpm which generates rpm for Octave packages using the 
oct2spec API.

Comment 1 Orion Poplawski 2011-04-06 15:46:31 UTC
http://www.cora.nwra.com/~orion/fedora/oct2spec-1.0.1-1.fc14.src.rpm

* Wed Apr 6 2011 Orion Poplawski <orion@cora.nwra.com> 1.0.1-1
- Update to 1.0.1 - add obsoletes to spec template

Comment 2 José Matos 2011-04-07 20:21:11 UTC
Package is approved.

There are two warnings below the first is a typo in the description and the second is a suggestion, you could use %{name} in the source URL. You are free to ignore the later if you wish, it is purely stylistic and after all you are the upstream author. :-)

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

[x] : MUST - Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x] : MUST - %config files are marked noreplace or the reason is justified.
[x] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
[x] : MUST - Package does not contain any libtool archives (.la)
[x] : MUST - Package use %makeinstall only when make install DESTDIR=... doesn't work.
[x] : MUST - Package is named according to the Package Naming Guidelines.
[x] : MUST - Spec file name must match the spec package %{name}, in the format %{name}.spec.
[-] : MUST - Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application.
[-] : MUST - Fully versioned dependency in subpackages, if present.
[-] : MUST - Header files in -devel subpackage, if present.
[-] : MUST - ldconfig called in %post and %postun if required.
[-] : MUST - License file installed when any subpackage combination is installed.
[-] : MUST - The spec file handles locales properly.
[-] : MUST - Development .so files in -devel subpackage, if present.
[-] : MUST - Static libraries in -static subpackage, if present.
[x] : MUST - Each %files section contains %defattr
[!] : MUST - Rpmlint output is silent.
        
        rpmlint oct2spec-1.0.1-1.fc16.noarch.rpm
        ================================================================================
        oct2spec.noarch: W: spelling-error %description -l en_US pacakges -> packages
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
        rpmlint oct2spec-1.0.1-1.fc16.src.rpm
        ================================================================================
        oct2spec.src: W: spelling-error %description -l en_US pacakges -> packages
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
[x] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        MD5SUM upstream package : f811c94083a243d8a27720e6dab7430f
[x] : MUST - Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[x] : MUST - Package contains no bundled libraries.
[x] : MUST - Changelog in prescribed format.
[x] : MUST - Sources contain only permissible code or content.
[x] : MUST - Macros in Summary, %description expandable at SRPM build time.
[-] : MUST - Package requires other packages for directories it uses.
[x] : MUST - Package uses nothing in %doc for runtime.
[x] : MUST - Package is not known to require ExcludeArch.
[x] : MUST - Permissions on files are set properly.
[x] : MUST - Package does not contain duplicates in %files.
[-] : MUST - Large documentation files are in a -doc subpackage, if required.
[x] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x] : MUST - License field in the package spec file matches the actual license.
[x] : MUST - Package consistently uses macros. instead of hard-coded directory names.
[x] : MUST - Package meets the Packaging Guidelines.
[x] : MUST - No %config files under /usr.
[x] : MUST - Package does not generate any conflict.
[-] : MUST - Package does not contains kernel modules.
[x] : MUST - Package contains no static executables.
[x] : MUST - Package obeys FHS, except libexecdir and /usr/target.
[x] : MUST - Package must own all directories that it creates.
[x] : MUST - Package does not own files or directories owned by other packages.
[x] : MUST - Package installs properly.
[-] : MUST - Rpath absent or only used for internal libs.
[x] : MUST - Package is not relocatable.
[x] : MUST - Requires correct, justified where necessary.
[x] : MUST - Spec file is legible and written in American English.
[-] : MUST - Package contains a SysV-style init script if in need of one.
[x] : MUST - File names are valid UTF-8.
[-] : MUST - Useful -debuginfo package or justification otherwise.
[x] : SHOULD - Reviewer should test that the package builds in mock.
[x] : SHOULD - Dist tag is present.
[x] : SHOULD - SourceX is a working URL.
[-] : SHOULD - Uses parallel make.
[-] : SHOULD - The placement of pkgconfig(.pc) files are correct.
[!] : SHOULD - SourceX / PatchY prefixed with %{name}.
        Source0:        https://fedorahosted.org/released/oct2spec/oct2spec-%{version}.tar.gz (oct2spec-%{version}.tar.gz)
        
[!] : SHOULD - Spec use %global instead of %define.
        %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
        
[-] : SHOULD - If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[x] : SHOULD - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x] : SHOULD - Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[x] : SHOULD - Package functions as described.
[x] : SHOULD - Latest version is packaged.
[-] : SHOULD - Man pages included for all executables.
[-] : SHOULD - Patches link to upstream bugs/comments/lists or are otherwise justified.
[-] : SHOULD - Scriptlets must be sane, if used.
[-] : SHOULD - Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x] : SHOULD - Package should compile and build into binary rpms on all supported architectures.
[x] : SHOULD - %check is present and all tests pass.
[x] : SHOULD - Packages should try to preserve timestamps of original installed files.

Issues:
[!] : MUST - Rpmlint output is silent.
        
        rpmlint oct2spec-1.0.1-1.fc16.noarch.rpm
        ================================================================================
        oct2spec.noarch: W: spelling-error %description -l en_US pacakges -> packages
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
        rpmlint oct2spec-1.0.1-1.fc16.src.rpm
        ================================================================================
        oct2spec.src: W: spelling-error %description -l en_US pacakges -> packages
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================

Comment 3 Orion Poplawski 2011-04-07 20:30:59 UTC
Thanks!

* Thu Apr 7 2011 Orion Poplawski <orion@cora.nwra.com> 1.0.1-2
- Fix typo
- Use name macro in Source0

New Package SCM Request
=======================
Package Name: oct2spec
Short Description: Python script to generate Octave package spec file
Owners: orion
Branches: f15 f14
InitialCC:

Comment 4 Jason Tibbitts 2011-04-07 21:57:31 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.